delete_telemetry_alert_rule
DELETE
/alert-rules/v2/{id}
const url = 'https://api.siteqwality.com/alert-rules/v2/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'DELETE', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"expected_revision":1,"until":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.siteqwality.com/alert-rules/v2/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "expected_revision": 1, "until": "example" }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
Request Body required
Section titled “Request Body required ” Media type application/json
object
expected_revision
required
integer format: int64
until
Required only for mute, at most 30 days from now. RFC 3339 UTC.
string | null
Example generated
{ "expected_revision": 1, "until": "example"}Responses
Section titled “ Responses ”No Content